/*
** BEEP.C - beep the buzzer a few times.
*/

#use op71l.lib
#use op71hw.lib
#use vdriver.lib

main()
{
	int i;
	
	VdInit();	// init virtual driver, timers, do _GLOBAL_INIT()
	glInit();	// init op71xx, turn backlight on, set default contrast
	
	for(i = 0; i < 5; i++)
	{
		tdelay(1000);	// 1000 mS delay (buzzer off)
		eioBeep(1);
		tdelay(100);	// 100 mS delay (buzzer on)
		eioBeep(0);
	}
	
	op71BackLight(0);	// ensure we leave the backlight off
}